## org.apache.xml.serialize
Class SieveEncodingInfo

    java.lang.Object
      |
      +--org.apache.xml.serialize.EncodingInfo
            |
            +--org.apache.xml.serialize.SieveEncodingInfo

public class SieveEncodingInfo
extends EncodingInfo

This class represents an encoding.

Version:
  $Id: SieveEncodingInfo.java,v 1.1 2000/12/14 19:21:55 lehors Exp $

Constructor Summary
`SieveEncodingInfo(java.lang.String mimeName, int lastPrintable)` Creates new `SeiveEncodingInfo` instance.
`SieveEncodingInfo(java.lang.String mimeName, java.lang.String javaName, int lastPrintable, java.lang.String dangers)` Creates new `SeiveEncodingInfo` instance.

Method Summary
`boolean` `isPrintable(int ch)` Checks whether the specified character is printable or not.

Methods inherited from class org.apache.xml.serialize.EncodingInfo
`getName, getWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SieveEncodingInfo

    public SieveEncodingInfo(java.lang.String mimeName,
                             java.lang.String javaName,
                             int lastPrintable,
                             java.lang.String dangers)

  Creates new `SeiveEncodingInfo` instance.
  Parameters:
    `dangers` - A sorted characters that are always printed as character references.

### SieveEncodingInfo

    public SieveEncodingInfo(java.lang.String mimeName,
                             int lastPrintable)

  Creates new `SeiveEncodingInfo` instance.

Method Detail

### isPrintable

    public boolean isPrintable(int ch)

  Checks whether the specified character is printable or not.
  Overrides:
    isPrintable in class EncodingInfo
  Parameters:
    `ch` - a code point (0-0x10ffff)

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.